# $Revision: 1.14 $, $Date: 2011/10/26 16:30:53 $
Summary:	Command-line interface for gists.github.com
Name:		gist
Version:	2.0.3
Release:	1
License:	MIT
Source0:	http://github.com/defunkt/gist/tarball/v%{version}
# Source0-md5:	0b99159635df2083651d2ff9db8abb25
Group:		Applications
URL:		http://defunkt.io/gist/
BuildRequires:	rpmbuild(macros) >= 1.484
BuildRequires:	ruby >= 1:1.8.6
BuildRequires:	ruby-modules
BuildRequires:	sed >= 4.0
%{?ruby_mod_ver_requires_eq}
Requires:	git-core
Requires:	groff
Suggests:	xclip
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Command-line interface for <gists.github.com>.

%prep
%setup -qc
mv defunkt-%{name}-*/* .

# fix #!%{_bindir}/env ruby -> #!%{_bindir}/ruby:
%{__sed} -i -e '1s,^#!.*ruby,#!%{__ruby},' %{name}

# extract manual
%{__sed} -ne '/^__END__/,${/__END__/!p}' %{name} > %{name}.1

# and remove it
%{__sed} -i -e '/^__END__/,$d' %{name}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
install -p %{name} $RPM_BUILD_ROOT%{_bindir}
cp -p %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.markdown
%attr(755,root,root) %{_bindir}/gist
%{_mandir}/man1/%{name}.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gist.spec,v $
Revision 1.14  2011/10/26 16:30:53  glen
- up to 2.0.3

Revision 1.13  2011/02/13 20:41:47  arekm
- up to 2.0.0

Revision 1.12  2010/10/26 11:21:58  glen
- xclip is optional

Revision 1.11  2010/03/25 19:47:28  glen
- use sed

Revision 1.10  2010/03/25 19:43:44  glen
- extract man in %prep

Revision 1.9  2010/03/25 19:39:15  glen
- commit spec with bashism patch (i forgot it earlier?)

Revision 1.8  2010/03/25 10:20:24  pawelz
- rel 2

Revision 1.7  2010/03/25 10:19:54  pawelz
- R: git-core, xclip, groff
- extract manpage from .rb file and install it in %{_mandir}

Revision 1.6  2010/03/23 23:10:15  pawelz
- rel 1

Revision 1.5  2010/03/23 23:06:25  pawelz
- get rid of %{commit} macro

Revision 1.4  2010/03/23 23:05:48  pawelz
- droped TODO about pbcopy (fixed by glen's bashizm patch)

Revision 1.3  2010/03/22 14:04:45  pawelz
- better Group (Applications)
- typo

Revision 1.2  2010/03/22 13:21:37  glen
- noarch, fix shebang, build dir with project name

Revision 1.1  2010/03/22 12:42:43  pawelz
- initial. Something like pastebinit, for gists.github.com.
- crude, based on tempate-specs/ruby.spec. Please review. I have no experience
  with ruby.
